<?php declare(strict_types=1);

namespace Infomaker\Imengine\CropData\Interfaces;

/**
 * Interface AutoCropDataInterface
 *
 * @package Infomaker\Imengine\CropData\Interfaces
 */
interface AutoCropDataInterface
{
    /**
     * @return int
     */
    public function getOriginalWidth(): int;

    /**
     * @return int
     */
    public function getOriginalHeight(): int;

    /**
     * @return int
     */
    public function getWidth(): int;

    /**
     * @return string
     */
    public function getRatio(): string;
}
